// Max (bentigt "RP.inc")

// Laufbewegung:
// Bild                    1     2     3     4     5     6     7     8
//                         9    10    11    12    13    14    15    16
// rechtes Bein		-45.0 -22.5   0.0  22.5  45.0  22.5   0.0 -22.5
//	Unterschenkel	  0.0 -45.0 -70.0 -45.0   0.0   0.0   0.0   0.0
// linkes Bein		 45.0  22.5   0.0 -22.5 -45.0 -22.5   0.0  22.5
//	Unterschenkel	  0.0   0.0   0.0   0.0   0.0 -45.0 -70.0 -45.0
// Lid                    0.0   0.0-180.0 -90.0   0.0-180.0 -90.0   0.0
// Kopf                  30.0  60.0  60.0  60.0  60.0  60.0  60.0  30.0
// Hoehe                  0.0   0.0   0.0   0.1   0.0   0.0   0.0   0.1


#if (clock=0)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =  -35.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   =    Status*0 ;
#declare Hoehe    =    0.0;
#declare U_Arm_r =     0  ;  // Unterarm drehen
#declare U_Arm_l =     0  ;  // Unterarm drehen
#end

/*
#if (clock=0)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   25.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =  -35.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   =    Status*-45 ;
#declare Hoehe    =    0.0;
#declare U_Arm_r =     0  ;  // Unterarm drehen
#declare U_Arm_l =    45  ;  // Unterarm drehen
#end
*/
#if (clock=1)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r = 40;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=2)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0; // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0 ;
#declare Hoehe    =    0.0;
#declare U_Arm_r = 20 ; // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=3)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -70.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=4)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.1;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=5)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 40;  // Unterarm drehen
#end

#if (clock=6)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0; // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=7)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -70.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=8)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.1;
#declare U_Arm_r = 20;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=9)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*30; // -Status*30
#declare Hoehe    =    0.0;
#declare U_Arm_r = 40;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=10)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r = 20;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=11)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -70.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   = -180.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=12)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =  -90.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.1;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=13)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 40;  // Unterarm drehen
#end

#if (clock=14)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0;  // Unterschenkel "drehen"
#declare Auge_1   = -180.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=15)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -70.0;  // Unterschenkel "drehen"
#declare Auge_1   =  -90.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=16)
#declare Status   =   -1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*30; // -Status*30
#declare Hoehe    =    0.1;
#declare U_Arm_r = 20;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=17)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r = 40;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=18)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r = 20;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=19)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -70.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=20)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.1;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=21)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 40;  // Unterarm drehen
#end

#if (clock=22)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=23)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -70.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=24)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*0;
#declare Hoehe    =    0.1;
#declare U_Arm_r = 20;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=25)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*30; // -Status*30
#declare Hoehe    =    0.0;
#declare U_Arm_r = 40;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=26)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r = 20;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=27)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -70.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   = -180.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=28)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =  -45.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5; // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =  -90.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.1;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=29)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   45.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -45.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =    0.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 40;  // Unterarm drehen
#end

#if (clock=30)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0;  // Unterschenkel "drehen"
#declare Auge_1   = -180.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l = 20;  // Unterarm drehen
#end

#if (clock=31)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =    0.0;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -70.0;  // Unterschenkel "drehen"
#declare Auge_1   =  -90.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*60; // -Status*60
#declare Hoehe    =    0.0;
#declare U_Arm_r =  0;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#if (clock=32)
#declare Status   =    1  ;  // 1 = nach links, -1 = nach rechts
#declare Bein_r_1 =  -22.5;  // gesamtes Bein "drehen"
#declare Bein_r_2 =    0.0;  // Unterschenkel "drehen"
#declare Bein_l_1 =   22.5;  // gesamtes Bein "drehen"
#declare Bein_l_2 =  -45.0;  // Unterschenkel "drehen"
#declare Auge_1   =    0.0;  // Lid (auf: 0, zu: -180)
#declare W_Kopf   = -Status*30; // -Status*30
#declare Hoehe    =    0.1;
#declare U_Arm_r = 20;  // Unterarm drehen
#declare U_Arm_l =  0;  // Unterarm drehen
#end

#declare Arm_r    =  Bein_l_1*0.8;
#declare Arm_l    =  Bein_r_1*0.8;

#declare Textur_1 = texture { pigment {h50_Rot_Gelb} finish {phong 0} }
#declare Textur_2 = texture { pigment {Rot_Gelb*.90} finish {phong 0} }
#declare Max_Gold = pigment { Rot_Gelb*2 }

#declare Auge =
 union {
  sphere { 0, 1 scale <0.15,0.2,0.1> pigment {Weiss} }
  sphere { 0, 1 scale <0.11,0.13,0.05> translate z*-0.06
   rotate x*-15 translate y*-0.06 pigment {Blau*.50} }
  difference { // Lid
   sphere { 0, 1 scale <0.17,0.21,0.15> }
   box { -0.5, <0.5,0.5,0> rotate x*Auge_1} } }

#declare Augen = union {
 object { Auge translate z*-0.95 rotate <0, 17, 10> } // rechts
 object { Auge translate z*-0.95 rotate <0,-17,-10> } }

#declare Nase =
 sphere { 0, 1 scale <0.2,0.15,0.2>
 translate z*-1 rotate x*-15 }

#declare Arm_1_r = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_1 } }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_1_l = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_1 } }
  rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_2_r = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_2 } }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_2_l = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_2 } }
  rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare O_Schenkel_l = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_l = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> pigment {Schwarz} }
 rotate x*Bein_l_2 }

#declare O_Schenkel_r = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_r = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> pigment {Schwarz} }
 rotate x*Bein_r_2}

#declare Bein_r = union {		// 0 bis y*-1.7
 object { O_Schenkel_r }
 object { U_Schenkel_r translate y*-0.7 }
 rotate x*Bein_r_1 }

#declare Bein_l = union {		// 0 bis y*-1.7
 object { O_Schenkel_l }
 object { U_Schenkel_l translate y*-0.7 }
 rotate x*Bein_l_1 }

#declare Kopf_1 = union {			//"o"
 difference {
  sphere { 0, 1 }
  sphere { 0, 0.1 translate z*-1 rotate x*-35 pigment {Schwarz} } }
 object { Augen }
 object { Nase } }

#declare Kopf_2 = union {			//"m"
 difference {
  sphere { 0, 1 }
  cylinder { x*-0.2, x*0.2, 0.04
  translate z*-1 rotate x*-35 pigment {Schwarz} } }
 object { Augen }
 object { Nase } }

#declare Kopf_3 = union {			//"lcheln"
 difference {
  sphere { 0, 1 }
  difference{
   cylinder {z*-0.25, z*0.25, 0.2 translate y*0.1 }
   box { <-0.5,0.1,-0.5>, <0.5,0.6,0.5> }
  translate z*-1 rotate x*-35 pigment {Schwarz} } }
 object { Augen }
 object { Nase } }

#declare Kopf_4 = union {			//"lachen"
 difference {
  sphere { 0, 1 }
  difference{
   cylinder {z*-0.25, z*0.25, 0.3 translate y*0.15 }
   cylinder {z*-0.3, z*0.3, 0.4 translate y*0.35 }
  translate z*-1 rotate x*-35 pigment {Schwarz} } }
 object { Augen }
 object { Nase } }

#declare Koerper = union {
 cone { y*1, 0, y*-1.3, 1 }
 object { Arm_1_r rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_1_l rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l translate x*0.33  translate y*-1.3 } // links
 }

#declare Koerper_2 = union {
 cone { y*1, 0, y*-1.3, 1 }
 object { Arm_2_r rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_2_l rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l translate x*0.33  translate y*-1.3 } // links
 }
