#declare Textur_ET = texture { pigment {Gruen} finish {phong 0} }
#declare Pigment_ET = pigment {Lila*1.5}

#declare Auge_ET =
 union {
  sphere { 0, 1 scale <0.15,0.2,0.1> pigment {Rot*.75} }
  difference { // Lid
   sphere { 0, 1 scale <0.17,0.21,0.15> }
   box { -0.5, <0.5,0.5,0> rotate x*Auge_1} }
   scale <1.5,2,2>}

#declare Augen_ET = union {
 object { Auge_ET translate z*-0.85 rotate <0, 17, 10> } // rechts
 object { Auge_ET translate z*-0.85 rotate <0,-17,-10> } }

#declare Nase_ET =
 sphere { 0, 1 scale <0.2,0.15,0.2>
 translate z*-1 rotate x*-25 }

#declare Kopf_ET =
 difference {
  union {
   sphere { 0, 1 scale <0.75,1,1>}
   object { Augen_ET }
   object { Nase_ET }
   cylinder { x*-0.8, x*0.8, 0.4} }
  sphere { x*-1.1, 0.4 }
  sphere {  x*1.1, 0.4 }
  texture { Textur_ET } }

#declare Faser_ET = union {
 union {
  cylinder { z*0.3, z*-0.4, 0.1 }
  sphere { z*0.3, 0.1 }
  rotate x*-20 }
 union {
  sphere { 0, 0.2 scale < 1.7, 4, 0.7> translate z*-0.4 }
  sphere { 0, 0.2 scale < 1.7, 4, 0.7> translate z*-0.55 }
  difference {
   cylinder { z*-0, z*-0.15, 0.2 scale < 1.7, 4, 1> }
   sphere { < 0,-0.8,-0.075 >, 0.4 }
   translate z*-0.4 }
  intersection {
   cylinder { z*-0, z*-0.15, 0.2 scale < 1.7, 4, 1> }
   sphere { < 0,-0.8,-0.075 >, 0.4 }
   pigment { Rot_Gelb*2 }  translate z*-0.4 }
   translate y*0.1 }
 pigment { Weiss*.75 } }

#declare Arm_1_r_ET = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_ET } }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_1_l_ET = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_ET } }
  object { Faser_ET translate y*-0.75 }
  rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare O_Schenkel_l_ET = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_l_ET = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> }
 rotate x*Bein_l_2 }

#declare O_Schenkel_r_ET = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_r_ET = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> }
 rotate x*Bein_r_2}

#declare Bein_r_ET = union {		// 0 bis y*-1.7
 object { O_Schenkel_r_ET }
 object { U_Schenkel_r_ET translate y*-0.7 }
 rotate x*Bein_r_1 }

#declare Bein_l_ET = union {		// 0 bis y*-1.7
 object { O_Schenkel_l_ET }
 object { U_Schenkel_l_ET translate y*-0.7 }
 rotate x*Bein_l_1 }

#declare ET = union {	// 0 bis y*5.5
 object {Kopf_ET translate y*0.75 rotate y*W_Kopf translate y*0.75}
 union {
  difference {
   cone { y*0.20, 0.3, y*1.0, 1.25 }
   cone { y*0.21, 0.25, y*1.1, 1.20 }
   box { -2, <2,2,0> } pigment { Pigment_ET } }

  cone { y*1, 0, y*-1.3, 1 pigment { Pigment_ET } }
  object { Arm_1_r_ET rotate z*-25 rotate x*Arm_r  translate x*-0.7
   pigment { Pigment_ET } } // rechts
  object { Arm_1_l_ET rotate z*25  rotate x*Arm_l translate x*0.7
   pigment { Pigment_ET } } // links
  object { Bein_r_ET translate x*-0.33 translate y*-1.3
   pigment { Pigment_ET } } // rechts
  object { Bein_l_ET translate x*0.33  translate y*-1.3
   pigment { Pigment_ET } } // links
  } translate y*3 }
