/* RP.inc - Farben, (Texturen, Finishes) in deutscher Sprache,
   dazu einige Shapes (bentigt "Shapes.inc")

 Schreibweise:
  pigment {Rot_Gelb}             (Farbe)
  pigment {h33_Rot_Gelb}         (Farbe, Helligkeit um 33% erhoeht)
  pigment {Rot_Gelb*.5}          (Farbe, Helligkeit 50%)
  pigment {Rot_Gelb+f80}         (Farbe, Filter 0.8)
  pigment {Rot_Gelb+t80}         (Farbe, Transmit 0.8)
  pigment {Rot_Gelb*.75+f80}     (Farbe, Helligkeit 75%, Filter 0.8)
  pigment {Rot_Gelb*.75+t80}     (Farbe, Helligkeit 75%, Transmitt 0.8)
  pigment {Rot_Gelb*.75+f80+t80} (Farbe, Helligkeit 75%, Filter 0.8, Transmitt 0.8)
  
("rp2.inc" - am Ende)
*/

#declare Grau    = color rgbft < 0.50 , 0.50 , 0.50, 0.00, 0.00 > ;
#declare Rosa    = color rgbft < 1.00 , 0.50 , 0.50, 0.00, 0.00 > ;
#declare Orange  = color rgbft < 1.00 , 0.50 , 0.00, 0.00, 0.00 > ;
#declare Orange2 = color rgbft < 1.00 , 0.75 , 0.00, 0.00, 0.00 > ;
#declare Braun   = color rgbft < 0.50 , 0.25 , 0.00, 0.00, 0.00 > ;
#declare Haut    = color rgbft < 1.00 , 0.75 , 0.50, 0.00, 0.00 > ;
#declare Klar    = color rgbft < 1.00 , 1.00 , 1.00, 1.00, 0.00 > ;
#declare Schwarz = color rgbft < 0.00 , 0.00 , 0.00, 0.00, 0.00 > ;
#declare Weiss   = color rgbft < 1.00 , 1.00 , 1.00, 0.00, 0.00 > ;

// Farben 100%
#declare Rot =            color rgbft < 1.00 , 0.00 , 0.00, 0.00, 0.00 > ;
#declare Gelb =           color rgbft < 1.00 , 1.00 , 0.00, 0.00, 0.00 > ;
#declare Gruen =          color rgbft < 0.00 , 1.00 , 0.00, 0.00, 0.00 > ;
#declare Hellblau =       color rgbft < 0.00 , 1.00 , 1.00, 0.00, 0.00 > ;
#declare Blau =           color rgbft < 0.00 , 0.00 , 1.00, 0.00, 0.00 > ;
#declare Lila =           color rgbft < 1.00 , 0.00 , 1.00, 0.00, 0.00 > ;
#declare Rot_Gelb =       color rgbft < 1.00 , 0.50 , 0.00, 0.00, 0.00 > ;
#declare Rot_Lila =       color rgbft < 1.00 , 0.00 , 0.50, 0.00, 0.00 > ;
#declare Gruen_Hellblau = color rgbft < 0.00 , 1.00 , 0.50, 0.00, 0.00 > ;
#declare Gruen_Gelb =     color rgbft < 0.50 , 1.00 , 0.00, 0.00, 0.00 > ;
#declare Blau_Lila =      color rgbft < 0.50 , 0.00 , 1.00, 0.00, 0.00 > ;
#declare Blau_Hellblau =  color rgbft < 0.00 , 0.50 , 1.00, 0.00, 0.00 > ;

// Farben Hell 10%
#declare h10_Rot		= color rgbft < 1.00, 0.10, 0.10, 0.00, 0.00 > ;
#declare h10_Gelb		= color rgbft < 1.00, 1.00, 0.10, 0.00, 0.00 > ;
#declare h10_Gruen  		= color rgbft < 0.10, 1.00, 0.10, 0.00, 0.00 > ;
#declare h10_Hellblau		= color rgbft < 0.10, 1.00, 1.00, 0.00, 0.00 > ;
#declare h10_Blau		= color rgbft < 0.10, 0.10, 1.00, 0.00, 0.00 > ;
#declare h10_Lila		= color rgbft < 1.00, 0.10, 1.00, 0.00, 0.00 > ;
#declare h10_Rot_Gelb		= color rgbft < 1.00, 0.55, 0.10, 0.00, 0.00 > ;
#declare h10_Rot_Lila		= color rgbft < 1.00, 0.10, 0.55, 0.00, 0.00 > ;
#declare h10_Gruen_Hellblau	= color rgbft < 0.10, 1.00, 0.55, 0.00, 0.00 > ;
#declare h10_Gruen_Gelb		= color rgbft < 0.55, 1.00, 0.10, 0.00, 0.00 > ;
#declare h10_Blau_Lila		= color rgbft < 0.55, 0.10, 1.00, 0.00, 0.00 > ;
#declare h10_Blau_Hellblau	= color rgbft < 0.10, 0.55, 1.00, 0.00, 0.00 > ;

// Farben Hell 20%
#declare h20_Rot		= color rgbft < 1.00, 0.20, 0.20, 0.00, 0.00 > ;
#declare h20_Gelb		= color rgbft < 1.00, 1.00, 0.20, 0.00, 0.00 > ;
#declare h20_Gruen  		= color rgbft < 0.20, 1.00, 0.20, 0.00, 0.00 > ;
#declare h20_Hellblau		= color rgbft < 0.20, 1.00, 1.00, 0.00, 0.00 > ;
#declare h20_Blau		= color rgbft < 0.20, 0.20, 1.00, 0.00, 0.00 > ;
#declare h20_Lila		= color rgbft < 1.00, 0.20, 1.00, 0.00, 0.00 > ;
#declare h20_Rot_Gelb		= color rgbft < 1.00, 0.60, 0.20, 0.00, 0.00 > ;
#declare h20_Rot_Lila		= color rgbft < 1.00, 0.20, 0.60, 0.00, 0.00 > ;
#declare h20_Gruen_Hellblau	= color rgbft < 0.20, 1.00, 0.60, 0.00, 0.00 > ;
#declare h20_Gruen_Gelb		= color rgbft < 0.60, 1.00, 0.20, 0.00, 0.00 > ;
#declare h20_Blau_Lila		= color rgbft < 0.60, 0.20, 1.00, 0.00, 0.00 > ;
#declare h20_Blau_Hellblau	= color rgbft < 0.20, 0.60, 1.00, 0.00, 0.00 > ;

// Farben Hell 25%
#declare h25_Rot		= color rgbft < 1.00, 0.25, 0.25, 0.00, 0.00 > ;
#declare h25_Gelb		= color rgbft < 1.00, 1.00, 0.25, 0.00, 0.00 > ;
#declare h25_Gruen  		= color rgbft < 0.25, 1.00, 0.25, 0.00, 0.00 > ;
#declare h25_Hellblau		= color rgbft < 0.25, 1.00, 1.00, 0.00, 0.00 > ;
#declare h25_Blau		= color rgbft < 0.25, 0.25, 1.00, 0.00, 0.00 > ;
#declare h25_Lila		= color rgbft < 1.00, 0.25, 1.00, 0.00, 0.00 > ;
#declare h25_Rot_Gelb		= color rgbft < 1.00, 0.625, 0.25, 0.00, 0.00 > ;
#declare h25_Rot_Lila		= color rgbft < 1.00, 0.25, 0.625, 0.00, 0.00 > ;
#declare h25_Gruen_Hellblau	= color rgbft < 0.25, 1.00, 0.625, 0.00, 0.00 > ;
#declare h25_Gruen_Gelb		= color rgbft < 0.625, 1.00, 0.25, 0.00, 0.00 > ;
#declare h25_Blau_Lila		= color rgbft < 0.625, 0.25, 1.00, 0.00, 0.00 > ;
#declare h25_Blau_Hellblau	= color rgbft < 0.25, 0.625, 1.00, 0.00, 0.00 > ;

// Farben Hell 30%
#declare h30_Rot		= color rgbft < 1.00, 0.30, 0.30, 0.00, 0.00 > ;
#declare h30_Gelb		= color rgbft < 1.00, 1.00, 0.30, 0.00, 0.00 > ;
#declare h30_Gruen  		= color rgbft < 0.30, 1.00, 0.30, 0.00, 0.00 > ;
#declare h30_Hellblau		= color rgbft < 0.30, 1.00, 1.00, 0.00, 0.00 > ;
#declare h30_Blau		= color rgbft < 0.30, 0.30, 1.00, 0.00, 0.00 > ;
#declare h30_Lila		= color rgbft < 1.00, 0.30, 1.00, 0.00, 0.00 > ;
#declare h30_Rot_Gelb		= color rgbft < 1.00, 0.65, 0.30, 0.00, 0.00 > ;
#declare h30_Rot_Lila		= color rgbft < 1.00, 0.30, 0.65, 0.00, 0.00 > ;
#declare h30_Gruen_Hellblau	= color rgbft < 0.30, 1.00, 0.65, 0.00, 0.00 > ;
#declare h30_Gruen_Gelb		= color rgbft < 0.65, 1.00, 0.30, 0.00, 0.00 > ;
#declare h30_Blau_Lila		= color rgbft < 0.65, 0.30, 1.00, 0.00, 0.00 > ;
#declare h30_Blau_Hellblau	= color rgbft < 0.30, 0.65, 1.00, 0.00, 0.00 > ;

// Farben Hell 33%
#declare h33_Rot		= color rgbft < 1.00, 0.33, 0.33, 0.00, 0.00 > ;
#declare h33_Gelb		= color rgbft < 1.00, 1.00, 0.33, 0.00, 0.00 > ;
#declare h33_Gruen  		= color rgbft < 0.33, 1.00, 0.33, 0.00, 0.00 > ;
#declare h33_Hellblau		= color rgbft < 0.33, 1.00, 1.00, 0.00, 0.00 > ;
#declare h33_Blau		= color rgbft < 0.33, 0.33, 1.00, 0.00, 0.00 > ;
#declare h33_Lila		= color rgbft < 1.00, 0.33, 1.00, 0.00, 0.00 > ;
#declare h33_Rot_Gelb		= color rgbft < 1.00, 0.665, 0.33, 0.00, 0.00 > ;
#declare h33_Rot_Lila		= color rgbft < 1.00, 0.33, 0.665, 0.00, 0.00 > ;
#declare h33_Gruen_Hellblau	= color rgbft < 0.33, 1.00, 0.665, 0.00, 0.00 > ;
#declare h33_Gruen_Gelb		= color rgbft < 0.665, 1.00, 0.33, 0.00, 0.00 > ;
#declare h33_Blau_Lila		= color rgbft < 0.665, 0.33, 1.00, 0.00, 0.00 > ;
#declare h33_Blau_Hellblau	= color rgbft < 0.33, 0.665, 1.00, 0.00, 0.00 > ;

// Farben Hell 40%
#declare h40_Rot		= color rgbft < 1.00, 0.40, 0.40, 0.00, 0.00 > ;
#declare h40_Gelb		= color rgbft < 1.00, 1.00, 0.40, 0.00, 0.00 > ;
#declare h40_Gruen  		= color rgbft < 0.40, 1.00, 0.40, 0.00, 0.00 > ;
#declare h40_Hellblau		= color rgbft < 0.40, 1.00, 1.00, 0.00, 0.00 > ;
#declare h40_Blau		= color rgbft < 0.40, 0.40, 1.00, 0.00, 0.00 > ;
#declare h40_Lila		= color rgbft < 1.00, 0.40, 1.00, 0.00, 0.00 > ;
#declare h40_Rot_Gelb		= color rgbft < 1.00, 0.70, 0.40, 0.00, 0.00 > ;
#declare h40_Rot_Lila		= color rgbft < 1.00, 0.40, 0.70, 0.00, 0.00 > ;
#declare h40_Gruen_Hellblau	= color rgbft < 0.40, 1.00, 0.70, 0.00, 0.00 > ;
#declare h40_Gruen_Gelb		= color rgbft < 0.70, 1.00, 0.40, 0.00, 0.00 > ;
#declare h40_Blau_Lila		= color rgbft < 0.70, 0.40, 1.00, 0.00, 0.00 > ;
#declare h40_Blau_Hellblau	= color rgbft < 0.40, 0.70, 1.00, 0.00, 0.00 > ;

//Farben Hell 50%
#declare h50_Rot		= color rgbft < 1.00, 0.50, 0.50, 0.00, 0.00 > ;
#declare h50_Gelb		= color rgbft < 1.00, 1.00, 0.50, 0.00, 0.00 > ;
#declare h50_Gruen  		= color rgbft < 0.50, 1.00, 0.50, 0.00, 0.00 > ;
#declare h50_Hellblau		= color rgbft < 0.50, 1.00, 1.00, 0.00, 0.00 > ;
#declare h50_Blau		= color rgbft < 0.50, 0.50, 1.00, 0.00, 0.00 > ;
#declare h50_Lila		= color rgbft < 1.00, 0.50, 1.00, 0.00, 0.00 > ;
#declare h50_Rot_Gelb		= color rgbft < 1.00, 0.75, 0.50, 0.00, 0.00 > ;
#declare h50_Rot_Lila		= color rgbft < 1.00, 0.50, 0.75, 0.00, 0.00 > ;
#declare h50_Gruen_Hellblau	= color rgbft < 0.50, 1.00, 0.75, 0.00, 0.00 > ;
#declare h50_Gruen_Gelb		= color rgbft < 0.75, 1.00, 0.50, 0.00, 0.00 > ;
#declare h50_Blau_Lila		= color rgbft < 0.75, 0.50, 1.00, 0.00, 0.00 > ;
#declare h50_Blau_Hellblau	= color rgbft < 0.50, 0.75, 1.00, 0.00, 0.00 > ;

// Farben Hell 60%
#declare h60_Rot		= color rgbft < 1.00, 0.60, 0.60, 0.00, 0.00 > ;
#declare h60_Gelb		= color rgbft < 1.00, 1.00, 0.60, 0.00, 0.00 > ;
#declare h60_Gruen  		= color rgbft < 0.60, 1.00, 0.60, 0.00, 0.00 > ;
#declare h60_Hellblau		= color rgbft < 0.60, 1.00, 1.00, 0.00, 0.00 > ;
#declare h60_Blau		= color rgbft < 0.60, 0.60, 1.00, 0.00, 0.00 > ;
#declare h60_Lila		= color rgbft < 1.00, 0.60, 1.00, 0.00, 0.00 > ;
#declare h60_Rot_Gelb		= color rgbft < 1.00, 0.80, 0.60, 0.00, 0.00 > ;
#declare h60_Rot_Lila		= color rgbft < 1.00, 0.60, 0.80, 0.00, 0.00 > ;
#declare h60_Gruen_Hellblau	= color rgbft < 0.60, 1.00, 0.80, 0.00, 0.00 > ;
#declare h60_Gruen_Gelb		= color rgbft < 0.80, 1.00, 0.60, 0.00, 0.00 > ;
#declare h60_Blau_Lila		= color rgbft < 0.80, 0.60, 1.00, 0.00, 0.00 > ;
#declare h60_Blau_Hellblau	= color rgbft < 0.60, 0.80, 1.00, 0.00, 0.00 > ;

// Farben Hell 66%
#declare h66_Rot		= color rgbft < 1.00, 0.66, 0.66, 0.00, 0.00 > ;
#declare h66_Gelb		= color rgbft < 1.00, 1.00, 0.66, 0.00, 0.00 > ;
#declare h66_Gruen  		= color rgbft < 0.66, 1.00, 0.66, 0.00, 0.00 > ;
#declare h66_Hellblau		= color rgbft < 0.66, 1.00, 1.00, 0.00, 0.00 > ;
#declare h66_Blau		= color rgbft < 0.66, 0.66, 1.00, 0.00, 0.00 > ;
#declare h66_Lila		= color rgbft < 1.00, 0.66, 1.00, 0.00, 0.00 > ;
#declare h66_Rot_Gelb		= color rgbft < 1.00, 0.83, 0.66, 0.00, 0.00 > ;
#declare h66_Rot_Lila		= color rgbft < 1.00, 0.66, 0.83, 0.00, 0.00 > ;
#declare h66_Gruen_Hellblau	= color rgbft < 0.66, 1.00, 0.83, 0.00, 0.00 > ;
#declare h66_Gruen_Gelb		= color rgbft < 0.83, 1.00, 0.66, 0.00, 0.00 > ;
#declare h66_Blau_Lila		= color rgbft < 0.83, 0.66, 1.00, 0.00, 0.00 > ;
#declare h66_Blau_Hellblau	= color rgbft < 0.66, 0.83, 1.00, 0.00, 0.00 > ;

// Farben Hell 70%
#declare h70_Rot		= color rgbft < 1.00, 0.70, 0.70, 0.00, 0.00 > ;
#declare h70_Gelb		= color rgbft < 1.00, 1.00, 0.70, 0.00, 0.00 > ;
#declare h70_Gruen  		= color rgbft < 0.70, 1.00, 0.70, 0.00, 0.00 > ;
#declare h70_Hellblau		= color rgbft < 0.70, 1.00, 1.00, 0.00, 0.00 > ;
#declare h70_Blau		= color rgbft < 0.70, 0.70, 1.00, 0.00, 0.00 > ;
#declare h70_Lila		= color rgbft < 1.00, 0.70, 1.00, 0.00, 0.00 > ;
#declare h70_Rot_Gelb		= color rgbft < 1.00, 0.85, 0.70, 0.00, 0.00 > ;
#declare h70_Rot_Lila		= color rgbft < 1.00, 0.70, 0.85, 0.00, 0.00 > ;
#declare h70_Gruen_Hellblau	= color rgbft < 0.70, 1.00, 0.85, 0.00, 0.00 > ;
#declare h70_Gruen_Gelb		= color rgbft < 0.85, 1.00, 0.70, 0.00, 0.00 > ;
#declare h70_Blau_Lila		= color rgbft < 0.85, 0.70, 1.00, 0.00, 0.00 > ;
#declare h70_Blau_Hellblau	= color rgbft < 0.70, 0.85, 1.00, 0.00, 0.00 > ;

// Farben Hell 75%
#declare h75_Rot		= color rgbft < 1.00, 0.75, 0.75, 0.00, 0.00 > ;
#declare h75_Gelb		= color rgbft < 1.00, 1.00, 0.75, 0.00, 0.00 > ;
#declare h75_Gruen  		= color rgbft < 0.75, 1.00, 0.75, 0.00, 0.00 > ;
#declare h75_Hellblau		= color rgbft < 0.75, 1.00, 1.00, 0.00, 0.00 > ;
#declare h75_Blau		= color rgbft < 0.75, 0.75, 1.00, 0.00, 0.00 > ;
#declare h75_Lila		= color rgbft < 1.00, 0.75, 1.00, 0.00, 0.00 > ;
#declare h75_Rot_Gelb		= color rgbft < 1.00, 0.875, 0.75, 0.00, 0.00 > ;
#declare h75_Rot_Lila		= color rgbft < 1.00, 0.75, 0.875, 0.00, 0.00 > ;
#declare h75_Gruen_Hellblau	= color rgbft < 0.75, 1.00, 0.875, 0.00, 0.00 > ;
#declare h75_Gruen_Gelb		= color rgbft < 0.875, 1.00, 0.75, 0.00, 0.00 > ;
#declare h75_Blau_Lila		= color rgbft < 0.875, 0.75, 1.00, 0.00, 0.00 > ;
#declare h75_Blau_Hellblau	= color rgbft < 0.75, 0.875, 1.00, 0.00, 0.00 > ;

// Farben Hell 80%
#declare h80_Rot		= color rgbft < 1.00, 0.80, 0.80, 0.00, 0.00 > ;
#declare h80_Gelb		= color rgbft < 1.00, 1.00, 0.80, 0.00, 0.00 > ;
#declare h80_Gruen  		= color rgbft < 0.80, 1.00, 0.80, 0.00, 0.00 > ;
#declare h80_Hellblau		= color rgbft < 0.80, 1.00, 1.00, 0.00, 0.00 > ;
#declare h80_Blau		= color rgbft < 0.80, 0.80, 1.00, 0.00, 0.00 > ;
#declare h80_Lila		= color rgbft < 1.00, 0.80, 1.00, 0.00, 0.00 > ;
#declare h80_Rot_Gelb		= color rgbft < 1.00, 0.90, 0.80, 0.00, 0.00 > ;
#declare h80_Rot_Lila		= color rgbft < 1.00, 0.80, 0.90, 0.00, 0.00 > ;
#declare h80_Gruen_Hellblau	= color rgbft < 0.80, 1.00, 0.90, 0.00, 0.00 > ;
#declare h80_Gruen_Gelb		= color rgbft < 0.90, 1.00, 0.80, 0.00, 0.00 > ;
#declare h80_Blau_Lila		= color rgbft < 0.90, 0.80, 1.00, 0.00, 0.00 > ;
#declare h80_Blau_Hellblau	= color rgbft < 0.80, 0.90, 1.00, 0.00, 0.00 > ;

// Farben Hell 90%
#declare h90_Rot		= color rgbft < 1.00, 0.90, 0.90, 0.00, 0.00 > ;
#declare h90_Gelb		= color rgbft < 1.00, 1.00, 0.90, 0.00, 0.00 > ;
#declare h90_Gruen  		= color rgbft < 0.90, 1.00, 0.90, 0.00, 0.00 > ;
#declare h90_Hellblau		= color rgbft < 0.90, 1.00, 1.00, 0.00, 0.00 > ;
#declare h90_Blau		= color rgbft < 0.90, 0.90, 1.00, 0.00, 0.00 > ;
#declare h90_Lila		= color rgbft < 1.00, 0.90, 1.00, 0.00, 0.00 > ;
#declare h90_Rot_Gelb		= color rgbft < 1.00, 0.95, 0.90, 0.00, 0.00 > ;
#declare h90_Rot_Lila		= color rgbft < 1.00, 0.90, 0.95, 0.00, 0.00 > ;
#declare h90_Gruen_Hellblau	= color rgbft < 0.90, 1.00, 0.95, 0.00, 0.00 > ;
#declare h90_Gruen_Gelb		= color rgbft < 0.95, 1.00, 0.90, 0.00, 0.00 > ;
#declare h90_Blau_Lila		= color rgbft < 0.95, 0.90, 1.00, 0.00, 0.00 > ;
#declare h90_Blau_Hellblau	= color rgbft < 0.90, 0.95, 1.00, 0.00, 0.00 > ;

// Filterwerte
#declare f10 =  color rgbft < 0.00, 0.00, 0.00, 0.10, 0.00 > ;
#declare f20 =  color rgbft < 0.00, 0.00, 0.00, 0.20, 0.00 > ;
#declare f25 =  color rgbft < 0.00, 0.00, 0.00, 0.25, 0.00 > ;
#declare f30 =  color rgbft < 0.00, 0.00, 0.00, 0.30, 0.00 > ;
#declare f33 =  color rgbft < 0.00, 0.00, 0.00, 0.33, 0.00 > ;
#declare f40 =  color rgbft < 0.00, 0.00, 0.00, 0.40, 0.00 > ;
#declare f50 =  color rgbft < 0.00, 0.00, 0.00, 0.50, 0.00 > ;
#declare f60 =  color rgbft < 0.00, 0.00, 0.00, 0.60, 0.00 > ;
#declare f66 =  color rgbft < 0.00, 0.00, 0.00, 0.66, 0.00 > ;
#declare f70 =  color rgbft < 0.00, 0.00, 0.00, 0.70, 0.00 > ;
#declare f75 =  color rgbft < 0.00, 0.00, 0.00, 0.75, 0.00 > ;
#declare f80 =  color rgbft < 0.00, 0.00, 0.00, 0.80, 0.00 > ;
#declare f90 =  color rgbft < 0.00, 0.00, 0.00, 0.90, 0.00 > ;
#declare f100 = color rgbft < 0.00, 0.00, 0.00, 1.00, 0.00 > ;

// Transmitterwerte
#declare t10 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.10 > ;
#declare t20 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.20 > ;
#declare t25 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.25 > ;
#declare t30 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.30 > ;
#declare t33 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.33 > ;
#declare t40 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.40 > ;
#declare t50 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.50 > ;
#declare t60 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.60 > ;
#declare t66 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.66 > ;
#declare t70 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.70 > ;
#declare t75 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.75 > ;
#declare t80 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.80 > ;
#declare t90 =  color rgbft < 0.00, 0.00, 0.00, 0.00, 0.90 > ;
#declare t100 = color rgbft < 0.00, 0.00, 0.00, 1.00, 1.00 > ;

#include "rp2.inc"
