
#declare Feuer = union {
/****************************************** aussen */
  difference {
    sphere { 0, 0.08 }
    box { -0.1, < 0.1, 0, 0.1 > }
  
  scale < 1.1, 4, 1.1 >
  texture {
    pigment {color rgbt <1.5,1.5,1,1>}
    finish { phong 0 }
  }
  interior {
    media {
      emission .2
      density {
        spherical
        color_map {
          [0.0 rgbt <1,1,0,1>]
          [1.0 rgbt <1,1,0,.5>]
        }
      }
      samples 10,10
    }
    }
  hollow
  no_shadow
  }

  difference {
    sphere { 0, 0.08 }
    box { <-0.1, 0,-0.1 >, 0.1 }
  
  scale < 1.1, 1.1, 1.1 >
  texture {
    pigment {color rgbt <1.5,1.5,1,1>}
    finish { phong 0 }
  }
  interior {
    media {
      emission .2
      density {
        spherical
        color_map {
          [0.0 rgbt <1,1,0,1>]
          [1.0 rgbt <1,1,0,.5>]
        }
      }
      samples 10,10
    }
    }
  hollow
  no_shadow
  }
/**************************************************/
/****************************************** innen */  
  difference {
    sphere { 0, 0.08 }
    box { -0.1, < 0.1, 0, 0.1 > }
    
  scale < 1, 2, 1 >
  texture {
    pigment {color rgbt <2,2,1,1>}
    finish { phong 0 }
  }
  interior {
    media {
      emission .2
      density {
        spherical
        color_map {
          [0.0 rgbt <1,1,1,1>]
          [0.5 rgbt <2,2,2,0>]
          [1.0 rgbt <2,2,2,-1>]
        }
      }
      samples 10,10
    }
  }
  hollow
  no_shadow
  }

  difference {
    sphere { 0, 0.08 }
    box { <-0.1, 0,-0.1 >, 0.1 }
    
  scale < 1, 1, 1 >
  texture {
    pigment {color rgbt <2,2,1,1>}
    finish { phong 0 }
  }
  interior {
    media {
      emission .2
      density {
        spherical
        color_map {
          [0.0 rgbt <1,1,1,1>]
          [0.5 rgbt <2,2,2,0>]
          [1.0 rgbt <2,2,2,-1>]
        }
      }
      samples 10,10
    }
  }
  hollow
  no_shadow
  }
/**************************************************/ 
}

#declare Flamme = union {
  light_source	{ 0 color rgb < 1,.8,.6 >*.3 looks_like { object { Feuer } } translate < 0.0, 1.95,-2.25 > rotate y*60*0 }
  light_source	{ 0 color rgb < 1,.8,.6 >*.3 looks_like { object { Feuer } } translate < 0.0, 1.95,-2.25 > rotate y*60*1 }
  light_source	{ 0 color rgb < 1,.8,.6 >*.3 looks_like { object { Feuer } } translate < 0.0, 1.95,-2.25 > rotate y*60*2 }
  light_source	{ 0 color rgb < 1,.8,.6 >*.3 looks_like { object { Feuer } } translate < 0.0, 1.95,-2.25 > rotate y*60*3 }
  light_source	{ 0 color rgb < 1,.8,.6 >*.3 looks_like { object { Feuer } } translate < 0.0, 1.95,-2.25 > rotate y*60*4 }
  light_source	{ 0 color rgb < 1,.8,.6 >*.3 looks_like { object { Feuer } } translate < 0.0, 1.95,-2.25 > rotate y*60*5 }
}