global_settings { assumed_gamma 2.2 }
#default {pigment {Weiss} finish {ambient .4 diffuse .6 phong 1 }}

#declare Textur_1 = texture { pigment {color rgbf <1.0,0.8,0.72,0.0>} finish {phong 0} }
#declare Textur_2 = texture { pigment {Rot_Gelb*.90} finish {phong 0} }
#declare Max_Gold = pigment { Rot_Gelb*2 }

#declare Auge =
 union {
  sphere { 0, 1 scale <0.15,0.2,0.1> pigment {Weiss} }
  sphere { 0, 1 scale <0.11,0.13,0.05> translate z*-0.06
   rotate x*-15 translate y*-0.06 pigment {Blau*.50} }
  difference { // Lid
   sphere { 0, 1 scale <0.17,0.21,0.15> }
   box { -0.5, <0.5,0.5,0> rotate x*Auge_1} } }

#declare Augen = union {
 object { Auge translate z*-0.95 rotate <0, 17, 10> } // rechts
 object { Auge translate z*-0.95 rotate <0,-17,-10> } }

#declare Nase =
 sphere { 0, 1 scale <0.2,0.15,0.2>
 translate z*-1 rotate x*-15 }

#declare Arm_1_r = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_1_l = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 }
  rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare O_Schenkel_l_Male = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_l_Male = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> }
 rotate x*Bein_l_2 }

#declare O_Schenkel_r_Male = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_r_Male = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> }
 rotate x*Bein_r_2}

#declare Bein_r_Male = union {		// 0 bis y*-1.7
 object { O_Schenkel_r_Male }
 object { U_Schenkel_r_Male translate y*-0.7 }
 rotate x*Bein_r_1 }

#declare Bein_l_Male = union {		// 0 bis y*-1.7
 object { O_Schenkel_l_Male }
 object { U_Schenkel_l_Male translate y*-0.7 }
 rotate x*Bein_l_1 }

#declare O_Schenkel_l_Female = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.19 } }

#declare U_Schenkel_l_Female = union {	// 0 bis y*-1.0
 sphere { 0, 0.2 }
 //cylinder { 0, y*-0.99, 0.15 }
 cone { 0, 0.18, y*-0.99, 0.1 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> }
 rotate x*Bein_l_2 }

#declare O_Schenkel_r_Female = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.19 } }

#declare U_Schenkel_r_Female = union {	// 0 bis y*-1.0
 sphere { 0, 0.2 }
 //cylinder { 0, y*-0.99, 0.15 }
 cone { 0, 0.18, y*-0.99, 0.1 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> }
 rotate x*Bein_r_2}

#declare Bein_r_Female = union {		// 0 bis y*-1.7
 object { O_Schenkel_r_Female }
 object { U_Schenkel_r_Female translate y*-0.7 }
 rotate x*Bein_r_1 }

#declare Bein_l_Female = union {		// 0 bis y*-1.7
 object { O_Schenkel_l_Female }
 object { U_Schenkel_l_Female translate y*-0.7 }
 rotate x*Bein_l_1 }

#declare Male = union {
 object {Kopf_2 translate y*0.75 rotate y*30 translate y*0.75}
 cone { y*1, 0, y*-1.3, 1 }
 object { Arm_1_r rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_1_l rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r_Male translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l_Male translate x*0.33  translate y*-1.3 } // links
 texture { Textur_1 } rotate y*-30 }

#declare Male_kl = object { Male scale 0.99 }

#declare Fem_1 =
 cone { y*1, 0, y*-1.3, 1 scale < 1.0, 1, 0.750> }

#declare Female = union {
 object {Kopf_4 translate y*0.75 rotate y*30 translate y*0.75}
 object { Fem_1 }
// object { Fem_1 scale < 0.9, 1, 0.675> translate y*-0.2 }
// object { Fem_1 scale < 0.8, 1, 0.600> translate y*-0.4 }
 sphere { 0,0.3 scale <1,1,1.5> rotate x*20 translate <-0.25,-0.4,-0.3> }
 sphere { 0,0.3 scale <1,1,1.5> rotate x*20 translate < 0.25,-0.4,-0.3> }
 object { Arm_1_r rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_1_l rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r_Female translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l_Female translate x*0.33  translate y*-1.3 } // links
 texture { Textur_1 } rotate y*-30 }

#declare Female_kl = object { Female scale 0.99 }
