#declare Schein =
 disc { 0, y, 0.9, 0.8 translate y*0.8 rotate x*25
 pigment {color rgb <2,1.8,1>} finish { reflection 0.5 } }

#declare Haare_Engel =
 difference { sphere {0, 1.01 }
  cylinder { y*0.2, y*-2, 1 rotate x*-10 translate z*-1}
 pigment { h50_Gelb } }

#declare Kopf_Engel = union {
 object { Kopf_4 }
 object { Schein }
 object { Haare_Engel } texture { Textur_1 } }

#declare Harfe = union {
 difference {
  torus { 1, 0.15 rotate z*90 }
  box { -1, 1 rotate x*45 translate z*-sqrt(2) } }
 intersection {
  torus { 1, 0.15 rotate z*90 }
  box { -1, 1 rotate x*45 translate y*-sqrt(2) }
  translate < 0, sqrt(2),-sqrt(2)> }
 intersection {
  torus { 1, 0.15 rotate z*90 }
  box { -1, 1 rotate x*45 translate y*sqrt(2) }
  translate < 0,-sqrt(2),-sqrt(2)>}
 intersection {
  torus { 1, 0.15 rotate z*90 }
  box { -1, 1 rotate x*45 translate z*sqrt(2) }
  translate < 0, 0,-sqrt(2)*2 > }
 sphere { 0, 0.3 translate < 0, sqrt(2)*0.5,-sqrt(2)*1.5> }
 sphere { 0, 0.3 translate < 0,-sqrt(2)*0.5,-sqrt(2)*1.5> }
 cylinder { z*1, z*-1.8, 0.03 translate y*0.15  }
 cylinder { z*1, z*-1.8, 0.03                   }
 cylinder { z*1, z*-1.8, 0.03 translate y*-0.15 }
 scale 0.6
 pigment { Max_Gold }
 rotate x*22.5
 translate y*-0.6 }

#declare Arm_1_r_Engel = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_1 } }
  object { Harfe translate y*-0.75 }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_1_l_Engel = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_1 } }
  rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Koerper_Engel = union {
 cone { y*1, 0, y*-1.3, 1 }
 object { Arm_1_r_Engel rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_1_l_Engel rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l translate x*0.33  translate y*-1.3 } // links
 }

#declare Engel = union {	// 0 bis y*5.5
 object {Kopf_Engel translate y*0.75 rotate y*W_Kopf translate y*0.75}
 object {Koerper_Engel pigment {Weiss} } translate y*3 }
