#declare Kg_1 = pigment { Rot*.50 }

#declare Zacken_Koenig = union {
 triangle { <0,0,-2>, <-1,0,-1.5>, <0,2,-2.5> }
 triangle { <0,0,-2>, < 1,0,-1.5>, <0,2,-2.5> }
 triangle { <0,2,-2.5>, <-1,0,-1.5>, <0,0,0> }
 triangle { <0,2,-2.5>, < 1,0,-1.5>, <0,0,0> }
 sphere { <0,2,-2.5>, 0.3 } }

#declare Krone_Koenig = union {
 object { Zacken_Koenig rotate   y*0 }
 object { Zacken_Koenig rotate  y*45 }
 object { Zacken_Koenig rotate  y*90 }
 object { Zacken_Koenig rotate y*135 }
 object { Zacken_Koenig rotate y*180 }
 object { Zacken_Koenig rotate y*225 }
 object { Zacken_Koenig rotate y*270 }
 object { Zacken_Koenig rotate y*315 }
 scale 0.3 pigment { Max_Gold } }

#declare Bart_1_Kg = union {
 difference {
  cylinder {z*-0.2 , z*0.2 , 0.3 }
  cylinder {z*-0.21, z*0.21, 0.3 scale <0.9,0.5,1>}
  box { -0.5, < 0.5, 0, 0.5 > } scale <1,1,1> }

 difference {
  cylinder {z*-0.2, z*0.2, 0.3 }
  cylinder {<-0.15,0,-0.21>, <-0.15,0, 0.21>, 0.15 scale <0.9,0.7,1>}
  cylinder {< 0.15,0,-0.21>, < 0.15,0, 0.21>, 0.15 scale <0.9,0.7,1>}
  box { <-0.5, 0,-0.5 >, 0.5 } scale <1,1.5,1> } }

#declare Bart_2_Kg = union {
 difference {
  sphere {0, 0.3 scale <1,1,0.3> }
  box { -0.5, < 0.5, 0, 0.5 > } scale <1,1,1> }

 difference {
  sphere {0, 0.3 scale <1,1,0.3> }
  box { <-0.5, 0,-0.5 >, 0.5 } scale <1,1.5,1> } }

#declare Bart_Koenig = intersection {
 object { Bart_1_Kg }
 object { Bart_2_Kg } pigment { Weiss } }

#declare Haare_Koenig =difference {
  sphere {0, 1.01 }
  cylinder { y*1.5, y*-2, 1 scale <1,1,0.8> rotate x*-45 translate <0,-0.5,-1> }
 pigment { Weiss } }

#declare Kopf_Koenig = union {
 object { Kopf_2 }
 object { Haare_Koenig }
 object { Bart_Koenig rotate x*-30 translate <0,-0.6,-0.8> }
 object { Krone_Koenig translate y*0.82 }
 texture { Textur_1 } }

#declare Robe_Kg_1 = union {
 difference {
  cone { y*1, 0, y*-1.3, 1 scale <1.5,1.5,1.5> }
  cone { y*1, 0, y*-1.3, 1 scale <1.5,1.5,1.5> translate y*-0.2 }
  object { Box_oben translate y*0.401 }
  object { Box_vorn } }
 difference {
  cone { y*0.400, 0.48, y*1.000, 1.3 }
  cone { y*0.399, 0.38, y*1.001, 1.2 }
  object { Box_vorn } } }

#declare Robe_Kg_2 = difference {
 object { Robe_Kg_1 }
 box { <-2,-1.85,0.1>, <2,0.9,2> } pigment { Max_Gold } }

#declare Robe_Kg_3 = intersection {
 object { Robe_Kg_1 }
 box { <-2,-1.85,0.1>, <2,0.9,2> } pigment { Kg_1 } }

#declare Robe_Kg = union {
 object { Robe_Kg_2 }
 object { Robe_Kg_3 } }

#declare Schwert = union {
 sphere { 0, 0.15 translate z*0.4 }
 cylinder { z*0.3, z*-0.3, 0.1 }
 cylinder { <0,0.4,-0.5>,<0,-0.1,-0.4>, 0.05 }
 cylinder { <0,0.1,-0.4>,<0,-0.4,-0.5>, 0.05 }
 union {
  triangle { < 0.1, 0.0, 0.0>, < 0.0, 0.2, 0.0>, < 0.0, 0.0,-2.5> }
  triangle { < 0.1, 0.0, 0.0>, < 0.0,-0.2, 0.0>, < 0.0, 0.0,-2.5> }
  triangle { <-0.1, 0.0, 0.0>, < 0.0, 0.2, 0.0>, < 0.0, 0.0,-2.5> }
  triangle { <-0.1, 0.0, 0.0>, < 0.0,-0.2, 0.0>, < 0.0, 0.0,-2.5> }
  translate z*-0.4 }
 pigment { Max_Gold } }

#declare Arm_1_r_Kg = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_1 } }
  object { Schwert translate y*-0.75 }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Koenig = union {	// 0 bis y*5.5
 object {Kopf_Koenig translate y*0.75 rotate y*W_Kopf translate y*0.75}
 union {
  cone { y*1, 0, y*-1.3, 1 pigment {Kg_1} }
  object { Arm_1_r_Kg rotate z*-25 rotate x*Arm_r  translate x*-0.7
   pigment {Kg_1} } // rechts
  object { Arm_1_l rotate z*25  rotate x*Arm_l translate x*0.7
   pigment {Kg_1} } // links
  object { Bein_r translate x*-0.33 translate y*-1.3
   pigment {Kg_1} } // rechts
  object { Bein_l translate x*0.33  translate y*-1.3
   pigment {Kg_1} } // links
  object { Robe_Kg }
  } translate y*3 }
