#declare Kn_1 = pigment { h66_Rot } // Kleid und Schuhe

#declare Zacken_kl = union {
torus { 0.5, 0.03 scale < 0.5, 1, 1 > clipped_by { box { <-1,-1,0>, <0,1,1> } } }
sphere { 0, 0.09 translate z*0.5 }
rotate x*-90}

#declare Zacken_gr = union {
torus { 0.7, 0.03 scale < 0.5, 1, 1 > clipped_by { box { <-1,-1,0>, <0,1,1> } } }
sphere { 0, 0.12 translate z*0.7 }
rotate x*-90}

#declare Krone_Koenigin = union {
cylinder { y*0, y*0.4, 0.25 open }
object { Zacken_gr translate < 0.6, 0.2, 0 > rotate   y*0 }
object { Zacken_gr translate < 0.6, 0.2, 0 > rotate  y*90 }
object { Zacken_gr translate < 0.6, 0.2, 0 > rotate y*180 }
object { Zacken_gr translate < 0.6, 0.2, 0 > rotate y*270 }
object { Zacken_kl translate < 0.5, 0.2, 0 > rotate  y*45 }
object { Zacken_kl translate < 0.5, 0.2, 0 > rotate y*135 }
object { Zacken_kl translate < 0.5, 0.2, 0 > rotate y*225 }
object { Zacken_kl translate < 0.5, 0.2, 0 > rotate y*315 }
pigment { Max_Gold } }

#declare Haare_Koenigin =

 difference {
  union {
   sphere {0, 1 scale <1,0.7,1> translate <0,0.3,-0.7>}
   sphere {0, 1.1 scale <1,1.1,1>}
   cylinder {y*0, y*-1.0, 1.1 }
   sphere {0, 1.1 scale <1,1.5,1> translate y*-1.0 } rotate x*-5
   scale <1,1,0.8> translate z*0.2}
  cylinder { y*0.2, y*-3, 1 rotate x*-10 translate z*-0.5}
 pigment { Rot_Gelb*.50 } }

#declare Kopf_Koenigin = union {
 object { Kopf_4 }
 object { Krone_Koenigin scale 0.8 rotate x*-20 translate <0,0.9,-0.4>}
 object { Haare_Koenigin } texture { Textur_1 } }

#declare Arm_1_r_Koenigin = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 }
//  object {Spiess translate y*-0.75 }
  texture { Textur_1 } rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 pigment { Kn_1 } }
 cylinder { 0, y*-0.75, 0.15 texture { Textur_1 } } }

#declare Arm_1_l_Koenigin = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 }
  texture { Textur_1 } rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 pigment { Kn_1 } }
 cylinder { 0, y*-0.75, 0.15 texture { Textur_1 } } }

#declare O_Schenkel_l_Koenigin = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_l_Koenigin = union {	// 0 bis y*-1.0
 sphere { 0, 0.2 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> pigment { Kn_1 } }
 rotate x*Bein_l_2 }

#declare O_Schenkel_r_Koenigin = union {	// 0 bis y*-0.7
 sphere { 0, 0.15 }
 cylinder { 0, y*-0.7, 0.15 } }

#declare U_Schenkel_r_Koenigin = union {	// 0 bis y*-1.0
 sphere { 0, 0.2 }
 cylinder { 0, y*-0.99, 0.15 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> pigment { Kn_1 } }
 rotate x*Bein_r_2}

#declare Bein_r_Koenigin = union {		// 0 bis y*-1.7
 object { O_Schenkel_r_Koenigin }
 object { U_Schenkel_r_Koenigin translate y*-0.7 }
 rotate x*Bein_r_1 texture { Textur_1 } }

#declare Bein_l_Koenigin = union {		// 0 bis y*-1.7
 object { O_Schenkel_l_Koenigin }
 object { U_Schenkel_l_Koenigin translate y*-0.7 }
 rotate x*Bein_l_1 texture { Textur_1 } }

#declare Kleid_1 =
 cone { y*1, 0, y*-1.3, 1 }

#declare Koerper_Koenigin_1 = union {
 object { Kleid_1 scale < 1.0, 1, 0.750> }
 object { Kleid_1 scale < 0.9, 1, 0.675> translate y*-0.2 }
 object { Kleid_1 scale < 0.8, 1, 0.600> translate y*-0.4 }
 sphere { 0,0.3 scale <1,1,1.5> rotate x*20 translate <-0.25,-0.4,-0.3> }
 sphere { 0,0.3 scale <1,1,1.5> rotate x*20 translate < 0.25,-0.4,-0.3> } }

#declare Kleid_Koenigin = difference {
  object { Koerper_Koenigin_1 scale 1.1}
  cylinder { z*1.5, z*-1.5, 0.5 scale <1,1.5,1> rotate x*-10 translate y*0.4}
  object { Koerper_Koenigin_1 scale 1.05} pigment { Kn_1 } }

#declare Koerper_Koenigin = union {
 object { Kleid_Koenigin }
 object { Koerper_Koenigin_1 }
 object { Arm_1_r_Koenigin rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_1_l_Koenigin rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r_Koenigin translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l_Koenigin translate x*0.33  translate y*-1.3 } // links
texture { Textur_1 } }

#declare Koenigin = union {	// 0 bis y*5.5
 object {Kopf_Koenigin translate y*0.75 rotate y*W_Kopf translate y*0.75}
 object {Koerper_Koenigin } translate y*3 }
