#declare TSmann_1	= texture { pigment { Weiss } finish { phong 0 } }
#declare Kohle    = sphere { 0, 0.13 scale < 1, 1, 0.5 > pigment { Schwarz } finish { phong 1 } }

#declare Auge =
 union {
  sphere { 0, 1 scale <0.15,0.2,0.1> pigment { Weiss } finish { phong 1 } }
  sphere { 0, 1 scale <0.11,0.13,0.05> translate z*-0.06
   rotate x*-15 translate y*-0.06 pigment { Schwarz } finish { phong 1 } }
  difference { // Lid
   sphere { 0, 1 scale <0.17,0.21,0.15> }
   box { -0.5, <0.5,0.5,0> rotate x*Auge_1} }
  texture { TSmann_1 } }

#declare Augen = union {
 object { Auge translate z*-0.95 rotate <0, 17, 10> } // rechts
 object { Auge translate z*-0.95 rotate <0,-17,-10> } }

#declare Nase =
 cone { z*0, 0.2, z*-0.7, 0  pigment { Rot_Gelb } finish { phong 1 }
 translate z*-0.9 rotate x*-20 }

#declare Ast = union {
 cylinder { y*-0.5, y*0.5, 0.03 pigment { Rot_Gelb*.50 } }
 union {
  cylinder { y*0.0, y*1.0, 0.03 pigment { Rot_Gelb*.50 } }
  cylinder { y*0.5, <-0.5,1.0,0>, 0.03 pigment { Rot_Gelb*.50 } }
 rotate z*-15 translate y*0.5 } }

#declare Rute = union {
 object { Ast rotate y*0 rotate x*-10 rotate y*45 }
 object { Ast rotate y*30 rotate x*-20 rotate y*90 }
 object { Ast rotate y*80 rotate x*-10 rotate y*135 }
 object { Ast rotate y*240 rotate x*-25 rotate y*180 } }

#declare Arm_1_r = union {
 union {
  cylinder { 0, y*-0.6, 0.2 }
  sphere { 0, 0.2 }
  sphere { y*-0.6, 0.3 }
  object { Rute rotate x*-90 translate y*-0.6 }
  rotate x*U_Arm_r translate y*-0.6 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.6, 0.2 }
 texture { TSmann_1 }  }

#declare Arm_1_l = union {
 union {
  cylinder { 0, y*-0.6, 0.2 }
  sphere { 0, 0.2 }
  sphere { y*-0.6, 0.3 }
  rotate x*U_Arm_l translate y*-0.6 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.6, 0.2 }
 texture { TSmann_1 } }

#declare O_Schenkel_l = union {
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.6, 0.3 }
 texture { TSmann_1 } }

#declare U_Schenkel_l = union {
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.6, 0.3 }
 sphere { 0, 0.3 translate y*-0.6 }
 rotate x*Bein_l_2 texture { TSmann_1 } }

#declare O_Schenkel_r = union {
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.6, 0.3 }
 texture { TSmann_1 } }

#declare U_Schenkel_r = union {
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.6, 0.3 }
 sphere { 0, 0.3 translate y*-0.6 }
 rotate x*Bein_r_2 texture { TSmann_1 } }

#declare Bein_r = union {
 object { O_Schenkel_r }
 object { U_Schenkel_r translate y*-0.6 }
 rotate x*Bein_r_1 }

#declare Bein_l = union {
 object { O_Schenkel_l }
 object { U_Schenkel_l translate y*-0.6 }
 rotate x*Bein_l_1 }


#declare SMann = union {

union { // Kopf

 union { // Zylinder er
  cylinder { y*0, y*0.15, 1.2 }
  difference {
   cylinder { y*0, y*1.5, 0.8 }
   torus { 1.0, 0.3 scale < 1, 3, 1 > translate y*0.75 } }
  scale 0.8 pigment { Schwarz } finish { phong 1 } translate y*0.7 rotate <-10,0,10> }

 difference {
  sphere { 0, 1  texture { TSmann_1 } }
  difference{
   cylinder {z*-0.25, z*0.25, 0.3 translate y*0.15 }
   cylinder {z*-0.3, z*0.3, 0.4 translate y*0.35 }
  translate z*-1 rotate x*-35 pigment {Schwarz} finish { phong 0 } } }
 object { Augen }
 object { Nase }
translate y*1.85 rotate y*W_Kopf }

union { // Bauch er
 sphere { 0, 1 texture { TSmann_1 } }
 object { Kohle translate z*-1 rotate x*45 }
 object { Kohle translate z*-1 rotate x*22.5 }
 object { Kohle translate z*-1 rotate x*0 }
 object { Kohle translate z*-1 rotate x*-22.5 } }

object { Arm_1_r rotate z*-20 rotate x*Arm_r translate x*-0.9 translate y*0.5 } // rechts
object { Arm_1_l rotate z*20  rotate x*Arm_l translate x*0.9   translate y*0.5 } // links
object { Bein_r translate x*-0.4 translate y*-0.9 } // rechts
object { Bein_l translate x*0.4  translate y*-0.9 } // links

translate y*2.4 // damit Fu = 0

translate y*Hoehe

}