#declare Horn =
 cone { y*-0.1, 0.2, y*0.4, 0
 pigment {Rot_Gelb} }

#declare Hoerner = union {
 object { Horn translate y*1 rotate <-42.0, 0.0, 40.0> } // links
 object { Horn translate y*1 rotate <-42.0, 0.0,-40.0> } // rechts
}

#declare Haare_Teufel =
 difference { sphere {0, 1.01 }
  cylinder { y*0.0, y*-2, 1 rotate x*-10 translate z*-1}
  cylinder {<-0.4,-0.1, 0>,<-0.4,-0.1, -2>, 0.5}
  cylinder {< 0.4,-0.1, 0>,< 0.4,-0.1, -2>, 0.5}
 pigment { Schwarz } }

#declare Kopf_Teufel = union {
 object { Kopf_2 }
 object { Hoerner }
 object { Haare_Teufel } texture { Textur_1 } }

#declare Spitze = union {
 cylinder { z*0, z*-0.25, 0.08 }
 cone { z*-0.25, 0.13, z*-0.65, 0 }
 }

#declare Spiess = union {
 cylinder { z*1.5, z*-1.5, 0.08 }
 difference {
  torus { 0.5, 0.08 }
  box { -1, <1,1,0> }
  rotate z*90 translate z*-1.5 }
 object { Spitze translate <0.0, 0.5, -1.5> }
 object { Spitze translate <0.0, 0.0, -1.5> }
 object { Spitze translate <0.0,-0.5, -1.5> }
 pigment { Schwarz } }
  
#declare Arm_1_r_Teufel = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_1 } }
  object {Spiess translate y*-0.75 }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_1_l_Teufel = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_1 } }
  rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Koerper_Teufel = union {
 cone { y*1, 0, y*-1.3, 1 }
 object { Arm_1_r_Teufel rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_1_l_Teufel rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l translate x*0.33  translate y*-1.3 } // links
 }

#declare Teufel = union {	// 0 bis y*5.5
 object {Kopf_Teufel translate y*0.75 rotate y*W_Kopf translate y*0.75}
 object {Koerper_Teufel pigment {Rot} } translate y*3 }
