#declare Weih_pigment = Rot*.75; // Farbe des Weihnachtsmannes

#declare Arm_Weih_1_r    =  Bein_l_1*0.8;
#declare Arm_Weih_1_l    =  Bein_r_1*0.8;

#declare Sack = union {
 cylinder { z*0.3, z*0, 0.2 }
 difference {
  cone { z*0.3, 0, z*-0.3, 0.4 }
  cone { z*0, 0, z*-0.4, 0.4 }
  rotate x*-45 translate z*-0.3 }
 union {
  sphere { 0, 0.2 }
  cone { y*0.06, 0.19, y*-0.7, 0.5 }
  difference {
   sphere { y*-0.86, 0.527 }
   box {<-1.5,-0.699999,-1.5>, 1.5} }
  rotate z*25			// !!!!!!!!!!!!!!!!!!!!!!!!!!
  rotate x*-U_Arm_r		// !!!!!!!!!!!!!!!!!!!!!!!!!!
  rotate x*-Arm_Weih_1_r	// !!!!!!!!!!!!!!!!!!!!!!!!!!
  translate z*0.3 }
  pigment { h33_Rot_Gelb*.90 } }

#declare Arm_Weih_r = union {
 union {
  object { Sack translate y*-0.75 }
  cylinder { 0, y*-0.75, 0.2 }
  sphere { 0, 0.2 }
  torus { 0.2, 0.1 pigment { Weiss } translate y*-0.45 }
  sphere { y*-0.75, 0.3 } rotate x*U_Arm_r translate y*-0.75 }
  
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.2 } }

#declare Arm_Weih_l = union {
 union {
  cylinder { 0, y*-0.75, 0.2 }
  sphere { 0, 0.2 }
  torus { 0.2, 0.1 pigment { Weiss } translate y*-0.45 }
  sphere { y*-0.75, 0.3 } rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.2 } }

#declare O_Schenkel_l_Weih = union {	// 0 bis y*-0.7
 sphere { 0, 0.25 }
 cylinder { 0, y*-0.7, 0.25 } }

#declare U_Schenkel_l_Weih = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.25 }
 torus { 0.25, 0.1 pigment { Weiss } translate y*-0.1 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> pigment {Weih_pigment} }
 rotate x*Bein_l_2 }

#declare O_Schenkel_r_Weih = union {	// 0 bis y*-0.7
 sphere { 0, 0.25 }
 cylinder { 0, y*-0.7, 0.25 } }

#declare U_Schenkel_r_Weih = union {	// 0 bis y*-1.0
 sphere { 0, 0.3 }
 cylinder { 0, y*-0.99, 0.25 }
 torus { 0.25, 0.1 pigment { Weiss } translate y*-0.1 }
 difference{			// Schuh -1 bis y*-0.7
  sphere { 0, 0.3 }
  box { -0.5, <0.5,0,0.5>}
  scale <1,1,1.5> translate <0,-1,-0.2> pigment {Weih_pigment} }
 rotate x*Bein_r_2}

#declare Bein_r_Weih = union {		// 0 bis y*-1.7
 object { O_Schenkel_r_Weih }
 object { U_Schenkel_r_Weih translate y*-0.7 }
 rotate x*Bein_r_1 }

#declare Bein_l_Weih = union {		// 0 bis y*-1.7
 object { O_Schenkel_l_Weih }
 object { U_Schenkel_l_Weih translate y*-0.7 }
 rotate x*Bein_l_1 }

#declare Koerper_Weih = union {
 cone { y*1, 0, y*-1.3, 1 }
 torus { 1, 0.1 pigment { Weiss } translate y*-1.3 }
 cylinder { y*1, < 0.0,-1.3,-1.0>, 0.1 pigment { Weiss } }
 object { Arm_Weih_r rotate z*-25 rotate x*Arm_Weih_1_r translate x*-0.7 } // rechts
 object { Arm_Weih_l rotate z*25  rotate x*Arm_Weih_1_l translate x*0.7  } // links
 object { Bein_r_Weih translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l_Weih translate x*0.33  translate y*-1.3 } // links
 }

#declare Haare_Weih =
 union {
  difference {
   sphere { 0, 1.001 }
   cylinder { z*-1.5, z*0, 0.9 rotate x*-45 } }
  difference {
   sphere { 0, 1 scale < 1,0.5,1.8> }
   box { <-2,-2,0>, 2 } rotate x*-60 }
  union {
   cone { x*-0.3, 0, x*0, 0.07 rotate z*30 translate x*-0.05 }
   sphere { 0, 0.07 scale <2.0,1,1.1> translate y*0.003 }
   cone { x*0.3,  0, x*0, 0.07 rotate z*-30 translate x*0.05 }
   scale 2 translate z*-1 rotate x*-30 }
  texture { pigment { Weiss } finish { phong 0 } } }

#declare Muetze_Weih =
 union {
  difference {
   sphere { 0, 1 }
   box { <-1.5, 0.5,-1.5>, 1.5 }
   box { -1.5, < 1.5,-0.3, 1.5> } }
  cone { y*0.5, 0.866, y*2, 0 }
  sphere { 0, 0.2 translate y*2 pigment { Weiss } }
  torus { 0.9, 0.18 translate y*-0.3 pigment { Weiss } }
 scale 1.01
 pigment { Weih_pigment } rotate x*45 translate <0,0.01,0.01> }

#declare Kopf_Weih = union {
 object { Kopf_1 }
 object { Haare_Weih }
 object { Muetze_Weih } texture { Textur_1 } }

#declare Weih = union {	// 0 bis y*5.5
 object {Kopf_Weih translate y*0.75 rotate y*W_Kopf translate y*0.75}
 object {Koerper_Weih pigment {Weih_pigment} } translate y*3 }
