#declare Feder = union {
 cone { y*0, 0.97, y*0.2, 0.91 open pigment { h33_Rot_Gelb } }
 sphere {0,1 scale <0.2, 0.8, 0.02> pigment { Rot } translate <0, 0.8, 0.91>} }

#declare Haare_Winne =
 difference {
  union {
   sphere {0, 1.01 }
   cylinder {y*0, y*-1.5, 1.01 } }
  cylinder { y*0.2, y*-4, 1 rotate x*-10 translate z*-1}
  pigment {Blau*.10} }

#declare Kopf_Winne = union {
 object { Kopf_1 }
 object { Haare_Winne }
 object { Feder translate y*0.3 } texture { Textur_2 } }

#declare THawk = union {
 cylinder { z*0.5, z*-1.2, 0.1 pigment { Rot_Gelb*.70 } }
 sphere { z*0.5, 0.1 pigment { Rot_Gelb*.70 } }
 sphere { z*-1.2, 0.1 pigment { Rot_Gelb*.70 } }
 union {
  sphere { 0, 0.2 }
  cone { y*0.06, 0.19, y*-0.7, 0.5 }
  difference {
   sphere { y*-0.86, 0.527 }
   box {<-1.5,-0.699999,-1.5>, 1.5}
   box {-2, <2,-0.86,2> } }
  difference {
   sphere { 0, 0.527 scale <1,0.5,1> translate y*-0.86}
   box {<-2,-0.86,-2>, 2 } }
  scale <0.1,0.8,0.7> pigment { Weiss*.75 } translate <0,0.2,-1> } }

#declare Arm_1_r_Winne = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_2 } }
//  object { THawk translate y*-0.75 }
  rotate x*U_Arm_r translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Arm_1_l_Winne = union {
 union {
  cylinder { 0, y*-0.75, 0.15 }
  sphere { 0, 0.15 }
  sphere { y*-0.75, 0.3 texture { Textur_2 } }
  object { THawk translate y*-0.75 }
  rotate x*U_Arm_l translate y*-0.75 }

 sphere { 0, 0.3 }
 cylinder { 0, y*-0.75, 0.15 } }

#declare Koerper_Winne = union {
 cone { y*1, 0, y*-1.3, 1 }
 object { Arm_1_r_Winne rotate z*-25 rotate x*Arm_r translate x*-0.7 } // rechts
 object { Arm_1_l_Winne rotate z*25  rotate x*Arm_l translate x*0.7  } // links
 object { Bein_r translate x*-0.33 translate y*-1.3 } // rechts
 object { Bein_l translate x*0.33  translate y*-1.3 } // links
 }

#declare Winne = union {	// 0 bis y*5.5
 object {Kopf_Winne translate y*0.75 rotate y*W_Kopf translate y*0.75}
 object {Koerper_Winne pigment {h33_Rot_Gelb} } translate y*3 }
